print("Start programu")

def mix_znakow(wejscie: str) -> str:
    wyjscie = wejscie[::-1]
    print(f"{wyjscie=}")
    return wyjscie

# mix_znakow("abcdefghij")

zmienna = mix_znakow("abcdefghij")
print(f"{zmienna=}")

def mix_znakow_2(wejscie: str, podzielnik: int) -> str:
    wyjscie = wejscie[::-1]
    if len(wejscie) >= 10:
        wyjscie = wyjscie[::podzielnik]
    return wyjscie

tekst1 = mix_znakow_2("abcdefg", 3)
tekst2 = mix_znakow_2("abcdefghijklmnoprstuwxyz", 3)

print(f"{tekst1=}")
print(f"{tekst2=}")

# zadanie:
# napisz funkcję, która przyjmuje 3 parametry:
# a: tekst, b: liczba całkowita, c: liczba zmiennoprzecinkowa
# w funkcji pomnóż b*c, zaokrąglij do 2 miejsc po przecinku i 
# wyświetl wynik na ekranie
# a tekst a pomnóż przez liczbę b i zwróć na zewnątrz funkcji
# sprawdź wykonanie

# więcej o funkcjach: str 53 w książce....
# więcej o zasięgu zmiennych: str 19 w książce...


def funkcja(a: str, b: int, c: float):
    wynik1 = round(b * c,2)
    print(wynik1)
    wynik2 = a * b
    return wynik2

def fn(a,b,c):
    wynik = a*b
    print(f"wynik {a=} * {b=} = {wynik}")
    return wynik

a = 5 
b = 6
ee = fn(a,b,4)
print(f"wynik {a=} * {b=} = {ee}")